﻿@model PagedList.IPagedList<ContosoUniversity.Models.ThongtinMe>
@*@model IEnumerable<ContosoUniversity.Models.ThongtinMe>*@
@using PagedList.Mvc;
<link href="~/Content/PagedList.css" rel="stylesheet" type="text/css" />


@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_LayoutCommon.cshtml";
}

<head>
    <script src="https://kit.fontawesome.com/b4077a95f0.js" crossorigin="anonymous"></script>
</head>


<style>

    input[type=text], select, input[type=date] {
        width: 100%;
        padding: 5px 5px;
        margin: 0px 0px;
        display: inline-block;
        border: 1px solid #ccc;
        border-radius: 6px;
        box-sizing: border-box;
    }

    form-group {
        margin: auto;
    }

    .form-horizontal .form-group {
        margin-left: 0px;
    }

    fieldset {
        /*display: flow;*/
        display: flow-root;
        margin-top: 10px;
        margin-bottom: 10px;
        margin-inline-start: 5px;
        margin-inline-end: 5px;
        padding-block-start: 0.35em;
        padding-inline-start: 0.75em;
        padding-inline-end: 0.75em;
        padding-block-end: 0.625em;
        min-inline-size: min-content;
        border-width: 2px;
        border-style: groove;
        border-color: rgb(192, 192, 192);
        border-image: initial;
        border-radius: 10px;
    }

    label.control-label.required::after {
        content: " *";
        color: red;
        font-weight: bold;
        font-size: 130%;
    }

    legend {
        width: auto;
        margin-bottom: auto;
        margin-right: 20px;
        border-bottom: none;
    }

    .minitotoggle {
        width: 180px;
        background-color: aqua;
        margin-bottom: 15px;
        margin-left: 20px;
    }

    @@media (min-width: 1250px) {
        .minitotoggle {
            margin-left: 203px;
        }
    }

    .text-toggle[aria-expanded=false] .text-expanded {
        display: none;
    }

    .text-toggle[aria-expanded=true] .text-collapsed {
        display: none;
    }
</style>
<style>
    .btn-primary.gradient {
        background: -moz-linear-gradient(top, #33a6cc 50%, #0099cc 50%); /* FF3.6+ */
        background: -webkit-gradient(linear, left top, left bottom, color-stop(50%,#33a6cc), color-stop(50%,#0099cc)); /* Chrome,Safari4+ */
        background: -webkit-linear-gradient(top, #33a6cc 50%,#0099cc 50%); /* Chrome10+,Safari5.1+ */
        background: -o-linear-gradient(top, #33a6cc 50%,#0099cc 50%); /* Opera 11.10+ */

        background: linear-gradient(to bottom, #33a6cc 50%,#0099cc 50%); /* W3C */
    }

        .btn-primary.gradient:hover, .btn-primary.gradient:focus, .btn-primary.gradient:active, .btn-primary.gradient.active, .open > .dropdown-toggle.btn-primary {
            background: -moz-linear-gradient(top, #66b2cc 50%, #33a6cc 50%); /* FF3.6+ */
            background: -webkit-gradient(linear, left top, left bottom, color-stop(50%,#66b2cc), color-stop(50%,#33a6cc)); /* Chrome,Safari4+ */
            background: -webkit-linear-gradient(top, #66b2cc 50%,#33a6cc 50%); /* Chrome10+,Safari5.1+ */
            background: -o-linear-gradient(top, #66b2cc 50%,#33a6cc 50%); /* Opera 11.10+ */

            background: linear-gradient(to bottom, #66b2cc 50%,#33a6cc 50%); /* W3C */
        }

        .btn-primary.gradient:active, .btn-primary.gradient.active {
            background: -moz-linear-gradient(top, #267c99 50%, #007299 50%); /* FF3.6+ */
            background: -webkit-gradient(linear, left top, left bottom, color-stop(50%,#267c99), color-stop(50%,#007299)); /* Chrome,Safari4+ */
            background: -webkit-linear-gradient(top, #267c99 50%,#007299 50%); /* Chrome10+,Safari5.1+ */
            background: -o-linear-gradient(top, #267c99 50%,#007299 50%); /* Opera 11.10+ */

            background: linear-gradient(to bottom, #267c99 50%,#007299 50%); /* W3C */
        }

    /***********************
      CUSTON BTN VALUES
    ************************/


    .btn:focus, .btn:active:focus, .btn.active:focus {
        outline: 0 none;
    }



    .btn-primary:hover, .btn-primary:focus, .btn-primary:active, .btn-primary.active, .open > .dropdown-toggle.btn-primary {
        background: #33a6cc;
    }

    .btn-primary:active, .btn-primary.active {
        background: #007299;
        box-shadow: none;
    }
</style>

<h2>Quản lý thông tin mẻ</h2>

<p>
    <div class="btn btn-primary btn-lg gradient" style=" padding: 6px 15px; border: 0 none; letter-spacing: 1px;">
        @Html.ActionLink("Tạo mới", "Create", null, null, new { @style = "color:white;" })
    </div>
    <br />
   
    @using (Html.BeginForm())
    {
        <div class="form-horizontal">
            <fieldset class="border p-2">
                <legend data-toggle="collapse" id="p2" data-target="#indexme_timkiem" class="float-none w-auto p-2 text-toggle" aria-expanded="true">
                    <span class="text-collapsed"> <i class="fa-solid fa-circle-chevron-down"></i></span>
                    <span class="text-expanded"> <i class="fa-solid fa-circle-chevron-up"></i></span>
                    Tìm kiếm

                </legend>
                <div id="indexme_timkiem" class="collapse in ">

                    <div class="form-group row">
                        <div class="col">
                            <div class="control-label col-sm-2">
                                <label for="start">Tìm kiếm từ ngày</label>
                            </div>
                            <div class="col-sm-3">
                                <input type="date" id="starttime"
                                       value="2022-07-22"
                                       min="2022-01-01" max="2022-12-31">
                            </div>
                        </div>

                        <div class="col">
                            <div class="control-label col-sm-2">
                                <label for="start">Tìm kiếm đến ngày</label>
                            </div>
                            <div class="col-sm-3">
                                <input type="date" id="endtime"
                                       value="2022-07-22"
                                       min="2022-01-01" max="2022-12-31">
                            </div>
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="col">
                            <div class="control-label col-sm-2">
                                <label>Chọn chỉ mục</label>
                            </div>
                            <div class="col-sm-3">
                                <select name="subject" id="subject">
                                    <option value="" selected="selected"></option>
                                </select>
                            </div>
                        </div>

                        <div class="col">
                            <div class="control-label col-sm-2">
                                <label>Thông tin cần lọc:</label>
                            </div>
                            <div class="col-sm-3">
                                <select name="topic" id="topic">
                                    <option value="" selected="selected">Hãy chọn chỉ mục trước</option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="form-group row">
                        <div class="col">
                            <div class="control-label col-sm-2">
                                <label>Tìm kiếm từ</label>
                            </div>
                            <div class="col-sm-3">
                                <input type="text" placeholder="Nhập số bắt đầu" pattern="[0-9]{10}"><br>
                            </div>
                        </div>

                        <div class="col">
                            <div class="control-label col-sm-2">
                                <label>Tìm kiếm đến</label>
                            </div>
                            <div class="col-sm-3">
                                <input type="text" placeholder="Nhập số kết thúc" pattern="[0-9]{10}"><br>
                            </div>
                        </div>
                       
                    </div>
                    <div class="form-group row">
                        <div class="col">
                            <div class="control-label col-sm-2">
                                <label>Người tạo mẻ</label>
                            </div>
                            <div class="col-sm-3">
                                <input type="text" placeholder="Nhập tên" pattern="[0-9]{10}"><br>
                            </div>
                        </div>

                        <div class="col">
                            <div class="control-label col-sm-2">
                              
                            </div>
                            
                        </div>
                        <div class="col col-sm-1">
                            <button type="button" class="btn btn-primary btn-block">  <i class="fas fa-search"></i>  </button>

                        </div>
                    </div>

                </div>

            </fieldset>
        </div>

    }

    </p>
    <table class="table">
        <tr>

            <th>
                ID Mẻ
            </th>
            <th>
                Thời gian bắt đầu
            </th>
            <th>
                Thời gian kết thúc
            </th>
            <th>
                Người tạo
            </th>
            <th>
                Thời gian tạo
            </th>


            <th></th>
        </tr>

        @foreach (var item in Model)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.ThongTinMeID)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.dayTimeFrom)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.dayTimeTo)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.CreateBy)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.CreateDate)
                </td>



                <td>
                    @Html.ActionLink("Chỉnh sửa", "Edit", new { id = item.ThongTinMeID })
                  @*  <li class="active"><a href="@Url.Action("YourAction", "YourController",item.ThongTinMeID)"><i class="icon-home icon-large"></i> Dashboard</a></li>*@
                    @*| @Html.ActionLink("Xem chi tiết", "Details", new { id = item.ThongTinMeID }) |*@
                    @*@Html.ActionLink("Xóa", "Delete", new { id = item.ThongTinMeID })*@
                </td>
            </tr>
        }

    </table>

    <br />
        Trang thứ @(Model.PageCount < Model.PageNumber ? 0 : Model.PageNumber) trong tổng số @Model.PageCount trang

        @Html.PagedListPager(Model, page => Url.Action("Index",
            new { page, sortOrder = ViewBag.CurrentSort, currentFilter = ViewBag.CurrentFilter }))
<div>   Tổng số mẻ là @ViewBag.total</div>


    @* COLLAPSE BUTTON BOOTSTRAP3.0 *@
    <script>

        const toggler = document.querySelectorAll('[data-toggle="collapse"]')
        var i;
        for (i = 0; i < toggler.length; i++) {
            toggler[i].addEventListener("click", function () {
                this.ariaExpanded = !JSON.parse(this.ariaExpanded);
            });
        }

    </script>

    @* 2 list link dropdown *@
    <script>
        var subjectObject = {
            "Bể gom": {
                "pH": [],
                "COD": [],
                "TSS": [],
                "Nt": [],
                "P": [],
                "Thời gian bơm": []
            },
            "Cyclo Trộn": {
                "Thời gian xả đáy": []
            },
            "Bể lắng": {
                "Thời gian xả đáy": []
            }, "Bơm hoá chất": {
                "Nồng độ hoá chất": [],
                "Thời gian bơm": []
            }, "Bể điều hoà": {
                "DO": [],
                "Thời gian bơm": [],
                "Thời gian thổi khí": []
            }, "ERROR list":
                ["pH", "COD", "TSS", "Nt", "P", "Thời gian bơm"]
        }
        //var      subjectObject = {
        //          "Bể gom": ["pH", "COD", "TSS", "Nt", "P", "Thời gian bơm"],
        //          "Cyclo Trộn": ["Thời gian xả đáy"]

        //      }

        window.onload = function () {
            var subjectSel = document.getElementById("subject");
            var topicSel = document.getElementById("topic");
            for (var x in subjectObject) {
                subjectSel.options[subjectSel.options.length] = new Option(x, x);
            }
            subjectSel.onchange = function () {
                //empty Chapters- and Topics- dropdowns
                //chapterSel.length = 1;
                topicSel.length = 1;
                //display correct values
                for (var y in subjectObject[this.value]) {
                    topicSel.options[topicSel.options.length] = new Option(y, y);
                }
                //if (subjectSel.selectedIndex != 0) {
                //    topicSel.options.remove(0);
                //}
                //else {
                //    topicSel.options[0] = new Option("Hãy chọn chỉ mục trước", 0);
                //}
            }
            //topicSel.onchange = function () {
            //empty Chapters dropdown
            //chapterSel.length = 1;
            //display correct values
            //var z = subjectObject[subjectSel.value][this.value];
            //for (var i = 0; i < z.length; i++) {
            // chapterSel.options[chapterSel.options.length] = new Option(z[i], z[i]);
            // }
            //}
        }
    </script>

